# 3DS Authentications

## Endpoints

### Create a 3DS Authentication

- [POST /v1/three_d_secure/authentications](https://docs.stripe.com/api/three-d-secure/authentication/create.md)

### Retrieve a 3DS Authentication

- [GET /v1/three_d_secure/authentications/:id](https://docs.stripe.com/api/three-d-secure/authentication/retrieve.md)

### List all 3D Secure Authentications

- [GET /v1/three_d_secure/authentications](https://docs.stripe.com/api/three-d-secure/authentication/list.md)

### Cancel a 3DS Authentication

- [POST /v1/three_d_secure/authentications/:id/cancel](https://docs.stripe.com/api/three-d-secure/authentication/cancel.md)

### Submit a 3DS Authentication

- [POST /v1/three_d_secure/authentications/:id/submit](https://docs.stripe.com/api/three-d-secure/authentication/submit.md)

## Events

- `three_d_secure.authentication.canceled`
Occurs when a 3DS Authentication’s status transitions to ‘canceled’

- `three_d_secure.authentication.challenge_started`
Occurs when a 3DS Authentication’s ‘challenge_url’ was loaded.

- `three_d_secure.authentication.errored`
Occurs when a 3DS Authentication’s status transitions to ‘error’

- `three_d_secure.authentication.failed`
Occurs when a 3DS Authentication’s status transitions to ‘failed’

- `three_d_secure.authentication.requires_challenge`
Occurs when a 3DS Authentication’s status transitions to ‘requires_challenge’

- `three_d_secure.authentication.requires_submission`
Occurs when a 3DS Authentication’s status transitions to ‘requires_submission’

- `three_d_secure.authentication.succeeded`
Occurs when a 3DS Authentication’s status transitions to ‘succeeded’

The Standalone 3DS API allows you to run EMV 3D Secure (3DS) authentication using Stripe while authorizing the payment with any PSP.

Related guide: [Standalone 3DS](https://docs.stripe.com/payments/3d-secure/standalone-3d-secure.md)
